{
  "name": "@raamDB/service",
  "version": "1.0.0",
  "description": "",
  "license": "UNLICENSED",
  "private": true,
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/clemensemme/RaaM-DBAgent.git"
  },
  "scripts": {
    "build": "tsc && tslint -c tslint.json -p tsconfig.json",
    "release": "semantic-release",
    "serve": "node build/app",
    "start": "npm run build && npm run serve",
    "lint": "tslint -c tslint.json -p tsconfig.json",
    "go": "nodemon --watch 'server/**/*.ts' --exec node_modules/.bin/ts-node -- server/app.ts",
    "do": "docker build . -t raam/pngservice:latest"
  },
  "dependencies": {
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.18.3",
    "cors": "^2.8.4",
    "express": "^4.16.2",
    "fancy-log": "^1.3.2",
    "helmet": "^3.9.0",
    "http-error-handler": "^0.3.1",
    "morgan": "^1.8.2",
    "pngjs": "^3.3.3"
  },
  "devDependencies": {
    "@semantic-release/changelog": "^1.0.0",
    "@semantic-release/git": "^2.0.2",
    "@semantic-release/gitlab": "^1.0.1",
    "@types/body-parser": "^1.17.0",
    "@types/cors": "^2.8.1",
    "@types/express": "^4.0.36",
    "@types/jasmine": "~2.8.4",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "^9.3.0",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "nodemon": "^1.14.11",
    "semantic-release": "^12.2.2",
    "semantic-release-docker-registry": "^0.3.0",
    "ts-node": "^4.1.0",
    "tslint": "^5.9.1",
    "typescript": "^2.6.2"
  },
  "engines": {
    "node": ">=8.3.0"
  },
  "publishConfig": {
    "registry": "registry.mealsinmotion.de"
  },
  "release": {
    "verifyConditions": [
      "@semantic-release/changelog",
      "@semantic-release/git",
      "@semantic-release/gitlab",
      "semantic-release-docker-registry"
    ],
    "getLastRelease": "@semantic-release/git",
    "analyzeCommits": {
      "preset": "angular"
    },
    "publish": [
      "@semantic-release/changelog",
      "semantic-release-docker-registry",
      "@semantic-release/git",
      "@semantic-release/gitlab"
    ]
  }
}
